<%@ page contentType="text/html; charset=gb2312" %>
<%@ page import = "zr.zrpower.common.util.SysPreperty" %>
<%@ page import = "zr.zrpower.entity.sys.SessionUser" %>
<%@ page import = "zr.zrpower.ejb.sys.UIService" %>
<%@ page import = "java.lang.Object" %>
<%@ page import = "zr.zrpower.common.util.DateWork"%>
<%@ page import = "java.util.*" %>
<%@ page import = "java.text.*" %>
<HTML>
<%
SessionUser user = (SessionUser)session.getAttribute("userinfo");
UIService userUI =new UIService();

String userLoginID = user.getLoginID();

%>
<%
Calendar cal = Calendar.getInstance();
SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd");
String mDateTime = formatter.format(cal.getTime());
 DateWork dateBean = new DateWork();
%>

<HEAD>
<TITLE></TITLE>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META http-equiv="Content-Type" content="text/html; charset=gb2312">
<link REL="stylesheet" type="text/css" href="zrsysmanage/css/<%=user.getUserCSS()%>">
<Script Language="JavaScript" Src="zrsysmanage/script/Public.js"></Script>


<Script Language="JavaScript">
function openHelp()
{
  window.open('help/browse/HelpBrowse.jsp','Help',"toolbar=no,location=No,resizable=yes,directories=no,status=no,menubar=no,scrollbars=yes")
}

function chgFontStyle(MenuFileUrl,BodyFileUrl,CurID){
  if (MenuAct.value!=CurID.id){
    if (MenuAct.value != ""){
      var ObjMenuID = document.all(MenuAct.value);
      ObjMenuID.className = "PuTbMenuAct";
    }
    MenuAct.value = CurID.id;
    ObjMenuID.className = "PuTbMenu";
  }

  if (MenuFileUrl != ""){
    parent.Menu.location.href = MenuFileUrl;
  }

  if (BodyFileUrl != ""){
    parent.Body.location.href = BodyFileUrl;
  }
}

function ChkLogout(FileUrl){
  if (confirm("是否确定注销该用户？")){
    top.window.parent.mIs_Quit = "0";
    parent.location.href=FileUrl;
  }
}

function ChkQuit(FileUrl){
  if (confirm("是否确定退出该系统？")){
    top.window.parent.mIs_Quit = "0";
    location.href=FileUrl;
  }
}

function About(){
  var strValue = window.showModalDialog("about.jsp",window,"status:no;help:no;dialogHeight:320px;dialogWidth:450px");
}
function lock(){
  var w,h,s
  w = screen.availWidth-1;
  h = screen.availHeight-1;
  var strValue = window.showModalDialog("lock.jsp",window,"status:no;help:no;dialogHeight:"+h+"px;dialogWidth:"+w+"px");
  if(strValue=="1"){
   top.window.parent.mIs_Quit = "0";
   parent.location.href="logout.jsp";
  }
}



function time(){
  var strValue = window.showModalDialog("time.jsp",window,"status:no;help:no;dialogHeight:530px;dialogWidth:720px");
}
function get_time()
  {

    var date=new Date();
    var year="",month="",day="",week="",hour="",minute="",second="";
    year=date.getYear();
    month=add_zero(date.getMonth()+1);
    day=add_zero(date.getDate());
    week=date.getDay();
    switch (date.getDay()) {
    case 0:val="星期天";break
    case 1:val="星期一";break
    case 2:val="星期二";break
    case 3:val="星期三";break
    case 4:val="星期四";break
    case 5:val="星期五";break
    case 6:val="星期六";break
      }
    timetable.innerText=year+"年"+month+"月"+day+"日 "+val+"     ";

  }
  function add_zero(temp)
  {
    if(temp<10) return "0"+temp;
    else return temp;
  }

function killErrors() {
return true;
}
window.onerror = killErrors;

setTimeout("get_time();",1000);
</Script>
</head>

<body  class="HeadBodyMain">

<input type="hidden" id="HidClose" name="HidClose" value="0">
<input type="hidden" id="MenuAct" name="MenuAct" value="<%=request.getParameter("MenuAct").toString()%>">
<input type="hidden" id="userid" name="userid" value="<%=user.getLoginID()%>">

<table width="100%" height="130" border="0" cellpadding="0" cellspacing="0">

      <tr >

		<td align="right" valign="top"  colspan="2"  width="100%" height="100" background="<%=SysPreperty.getProperty().AppUrl%>zrsysmanage/images/<%=user.getUserImage()%>/PuHeadBack.jpg">


                             <br>
                  <a href="javascript:lock();" title="锁定"><img src="<%=SysPreperty.getProperty().AppUrl%>zrsysmanage/images/<%=user.getUserImage()%>/PuBtnAbout.gif" border="0" width="18" height="18" align="absmiddle"><font color="#3399FF">锁定</font></a>&nbsp;

                  <a href="javascript:HidClose.value='1';ChkLogout('logout.jsp');" title="注销"><img src="<%=SysPreperty.getProperty().AppUrl%>zrsysmanage/images/<%=user.getUserImage()%>/PuBtnLogout.gif" border="0" width="18" height="18" align="absmiddle"><font color="#3399FF">注销</font></a>
                  <a href="javascript:HidClose.value='1';ChkQuit('quit.jsp');" title="退出"><img src="<%=SysPreperty.getProperty().AppUrl%>zrsysmanage/images/<%=user.getUserImage()%>/PuBtnQuit.gif" border="0" width="18" height="18" align="absmiddle"><font color="#3399FF">退出</font></a>
                  <a href="javascript:About();" title="关于"><img src="<%=SysPreperty.getProperty().AppUrl%>zrsysmanage/images/<%=user.getUserImage()%>/PuBtnAbout.gif" border="0" width="18" height="18" align="absmiddle"><font color="#3399FF">关于</font></a>&nbsp;

                  <br><br>
                  <br>
                  <a  href="javascript:time();" title="点击打开万年历">
                  <font color="#3399FF">
                      <div  id="timetable"></div>

                  </font>

                  </a>


               &nbsp;&nbsp;






                </td>

	</tr>

	<tr>
		<td colspan="2" height="30" background="<%=SysPreperty.getProperty().AppUrl%>zrsysmanage/images/<%=user.getUserImage()%>/Title_04.gif">

                   <table  width="100%" border="0"  cellspacing="0" cellpadding="0" >
	                  <tr>
                            <td width="170">
                               &nbsp;<a href=JavaScript:parent.Menu.Move_Left(); title='显示/隐藏菜单'><img  border="0" src="<%=SysPreperty.getProperty().AppUrl%>zrsysmanage/images/<%=user.getUserImage()%>/xmenubtn1.gif" align="absmiddle"  onMouseOver="this.src='<%=SysPreperty.getProperty().AppUrl%>zrsysmanage/images/<%=user.getUserImage()%>/xmenubtn2.gif';" onMouseOut="this.src='<%=SysPreperty.getProperty().AppUrl%>zrsysmanage/images/<%=user.getUserImage()%>/xmenubtn1.gif';"></a>
                               &nbsp;<a href="javascript:OpenUrl('sylist.jsp','0')" title='显示首页'><img  border="0" src="<%=SysPreperty.getProperty().AppUrl%>zrsysmanage/images/<%=user.getUserImage()%>/xworkbtn1.gif" align="absmiddle"  onMouseOver="this.src='<%=SysPreperty.getProperty().AppUrl%>zrsysmanage/images/<%=user.getUserImage()%>/xworkbtn2.gif';" onMouseOut="this.src='<%=SysPreperty.getProperty().AppUrl%>zrsysmanage/images/<%=user.getUserImage()%>/xworkbtn1.gif';"></a>

                            </td>
                            <td width="140">
                               &nbsp;<a href=JavaScript:OpenUserInfo(); title='点击查看用户相关信息'><img  border="0" width="20" height="20" src="<%=SysPreperty.getProperty().AppUrl%>zrsysmanage/images/face/<%=user.getFace()%>.JPG" align="absmiddle"></a><Font class="user">您好，<%=user.getName()%></font>
                            </td>


                            <td width="315" align="center">

                            <table  width="315" border="0"  cellspacing="0" cellpadding="0" >
	                    <tr >
                            <td width="4" height="21"  ></td>
                            <td height="21" valign="middle" width="307" >

                            </td>
                            <td width="4" height="21" ></td>
                            </tr>
                            </table>

                            </td>

                            <td width="140">

                            <table  width="140" border="0"  cellspacing="0" cellpadding="0" >

                            <tr><td height="18">&nbsp;


                            </td></tr>
                            </table>

                            </td>

                            <td align="right"  valign="middle">

                     <table  width="232" border="0"  cellspacing="0" cellpadding="0" >
                     <tr><td height="5"></td></tr>
                            <tr><td height="18"  valign="middle">
                  <a href="javascript:OpenUrl('zrsysmanage/online.jsp','0')" title="在线用户"><img src="<%=SysPreperty.getProperty().AppUrl%>zrsysmanage/images/<%=user.getUserImage()%>/puzxry.gif" border="0" width="18" height="18" align="absmiddle"><font color="#FFFFFF">在线用户</font></a>

                  <a href="javascript:history.back();" title="后退"><img src="<%=SysPreperty.getProperty().AppUrl%>zrsysmanage/images/<%=user.getUserImage()%>/PuBtnPrev.gif" border="0" width="18" height="18" align="absmiddle"><font color="#FFFFFF">后退</font></a>
                  <a href="javascript:history.forward();" title="前进"><img src="<%=SysPreperty.getProperty().AppUrl%>zrsysmanage/images/<%=user.getUserImage()%>/PuBtnNext.gif" border="0" width="18" height="18" align="absmiddle"><font color="#FFFFFF">前进</font></a>
                  &nbsp;
                  </tr></table>

                  </td></tr></table>

                </td>
	</tr>
</table>




<object WIDTH="1" HEIGHT="1"  ID="RemoveIEToolbar" CLASSID="CLSID:2646205B-878C-11d1-B07C-0000C040BCDB" VIEWASTEXT>
	 <param NAME="ToolBar" VALUE="0">
</object>

</body>
</html>
<script language="javascript">

function OpenUserInfo(){
  var url="zrsysmanage/MessageUserInfo.jsp";
  var name="PopWindow";
  var ShowPopWindow = null;
  var status="toolbar=no,location=no,directories=no,status=no,menubar=no,resizable=yes,scrollbars=yes,width=800,height=590";
  ShowPopWindow = window.open(url,name,status);
  ShowPopWindow.moveTo(100,20);
  ShowPopWindow.focus();
}
function InitPage()
{
  <%=request.getParameter("MenuAct").toString()%>.className = "PuTbMenuAct";
}
InitPage();

var mzstory = document.getElementById("mzstory");

function RightMarquee(){
  //if(mzstory.scrollLeft<138){
   mzstory.scrollLeft=mzstory.scrollLeft+69;
  //}
}
function LeftMarquee(){
 if(mzstory.scrollLeft>=0){
	mzstory.scrollLeft=mzstory.scrollLeft-69;
 }
}

</script>
